### Struct

# PangoOT.Buffer

#### Description

    struct PangoOTBuffer {
      /* No available fields */
    }

No description available.

#### Constructors

###### pango_ot_buffer_new

Creates a new `PangoOTBuffer` for the given OpenType font.

#### Instance methods

###### pango_ot_buffer_add_glyph

Appends a glyph to a `PangoOTBuffer`, with `properties` identifying which features should be applied on this glyph. See `pango_ot_ruleset_add_feature()`.

###### pango_ot_buffer_clear

Empties a `PangoOTBuffer`, make it ready to add glyphs to.

###### pango_ot_buffer_destroy

Destroys a `PangoOTBuffer` and free all associated memory.

###### pango_ot_buffer_get_glyphs

Gets the glyph array contained in a `PangoOTBuffer`. The glyphs are owned by the buffer and should not be freed, and are only valid as long as buffer is not modified.

###### pango_ot_buffer_output

Exports the glyphs in a `PangoOTBuffer` into a `PangoGlyphString`. This is typically used after the OpenType layout processing is over, to convert the resulting glyphs into a generic Pango glyph string.

###### pango_ot_buffer_set_rtl

Sets whether glyphs will be rendered right-to-left. This setting is needed for proper horizontal positioning of right-to-left scripts.

###### pango_ot_buffer_set_zero_width_marks

Sets whether characters with a mark class should be forced to zero width. This setting is needed for proper positioning of Arabic accents, but will produce incorrect results with standard OpenType Indic fonts.